Skip to main content
GET
/
v3
/
info
/
{feature}
/
{subfeature}
Get Feature Info
curl --request GET \
  --url https://api.edenai.run/v3/info/{feature}/{subfeature}
import requests

url = "https://api.edenai.run/v3/info/{feature}/{subfeature}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.edenai.run/v3/info/{feature}/{subfeature}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "feature": "<string>",
  "feature_fullname": "<string>",
  "subfeature": "<string>",
  "subfeature_fullname": "<string>",
  "endpoints": {},
  "input_schema": {},
  "output_schema": {},
  "models": [
    {}
  ],
  "description": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

feature
string
required
subfeature
string
required

Query Parameters

format
enum<string>
default:simplified

Schema format: 'simplified' for flat readable format, 'json_schema' for full Pydantic JSON Schema

Available options:
simplified,
json_schema

Response

Successful Response

Detailed response for a specific subfeature.

feature
string
required
feature_fullname
string
required
subfeature
string
required
subfeature_fullname
string
required
mode
enum<string>
required
Available options:
sync,
async
endpoints
Endpoints · object
required
input_schema
Input Schema · object
required
output_schema
Output Schema · object
required
models
Models · object[]
required
description
string | null